Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 188626 - media-video/kdenlive-0.5 version bump
Summary: media-video/kdenlive-0.5 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL: http://kdenlive.org/index.php
Whiteboard:
Keywords:
Depends on: 188621
Blocks:
  Show dependency tree
 
Reported: 2007-08-12 18:51 UTC by Roberto Castagnola
Modified: 2008-04-01 11:20 UTC (History)
16 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
kdenlive-0.5.ebuild (kdenlive-0.5.ebuild,1.28 KB, text/plain)
2007-08-12 18:52 UTC, Roberto Castagnola
Details
kdenlive-0.5.ebuild (kdenlive-0.5.ebuild,1.20 KB, text/plain)
2007-10-25 10:26 UTC, Toffanin
Details
kdenlive-0.5.ebuild (kdenlive-0.5.ebuild,1.42 KB, text/plain)
2007-10-30 07:07 UTC, Toffanin
Details
now with mlt-0.2.4-r1 dependency (kdenlive-0.5.ebuild,1.42 KB, text/plain)
2008-02-11 19:47 UTC, Patrick Huber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roberto Castagnola 2007-08-12 18:51:18 UTC
Kdenlive 0.5 released
Comment 1 Roberto Castagnola 2007-08-12 18:52:24 UTC
Created attachment 127894 [details]
kdenlive-0.5.ebuild

provided configure script is removed since it requires unsermake.
Comment 2 Roberto Castagnola 2007-08-12 18:54:17 UTC
It depends on media-libs/mlt-0.2.4 (Bug 188621)
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 19:14:04 UTC
http://www.gentoo.org/doc/en/bugzilla-howto.xml#doc_chap6 (Zero-day bump requests)
Comment 4 Roberto Castagnola 2007-08-13 07:39:40 UTC
(In reply to comment #3)
> http://www.gentoo.org/doc/en/bugzilla-howto.xml#doc_chap6 (Zero-day bump
> requests)
> 

Sorry, I haven't considered it; I just wanted to provide my ebuild.
Comment 5 Florian Manschwetus 2007-09-06 14:09:44 UTC
hope i could find help here, i have serious problems with kdenlive, i c'ant save projects and it crashes very often. The saving problem is that the filetype is shown as "unknown, unknown" and no file is written. I think it is a installation problem, because it looks like that kde misses the file informations.
Comment 6 Rafal Dejewski 2007-09-13 19:17:01 UTC
Thank you Roberto! Works nicely.
Comment 7 Rafal Dejewski 2007-09-13 19:41:05 UTC
Sorry, forgot to mention: desktop files from /usr/share/mimelnk/application/ need to go to /usr/kde/3.5/share/mimelnk/application. Only then I could save the projects.
Comment 8 Roberto Castagnola 2007-09-16 21:51:29 UTC
(In reply to comment #7)
> Sorry, forgot to mention: desktop files from /usr/share/mimelnk/application/
> need to go to /usr/kde/3.5/share/mimelnk/application. Only then I could save
> the projects.
> 

"/usr/share/mimelnk" permissions were wrong for me: I solved it running
# chmod +rx /usr/share/mimelnk
Comment 9 Ken Rushia 2007-09-18 04:46:31 UTC
It has been over a month and I don't see Kdenlive 0.5 in portage.  What's the status on this?
Comment 10 Arne Babenhauserheide 2007-10-09 07:23:39 UTC
I second the status question. 
Comment 11 Toffanin 2007-10-25 10:26:27 UTC
Created attachment 134327 [details]
kdenlive-0.5.ebuild

some ebuild cleanup:
- removed redundant DEPENDS provided by kde.eclass;
- removed USE 'pch' because is not necessary, we can simply use the configure command line: --enable-pch;
- added check on media-video/ffmpeg, it must be compiled with USE 'theora' otherwise compilation fails;

as AT i have tested the package on a clean stage3 both on Gentoo/Linux and Gentoo/FreeBSD: package compile successufully (surely need more testing/feedback).
i hope it will be usefull.
Comment 12 simon 2007-10-27 21:47:36 UTC
Thanks Roberto, thanks Toffanin for your ebuilds. I haven't tried them, since my installation from sources works fine (unsermake is not needed: you just have to run ./bootstrap before you run ./configure).

I would like to add one observation:
according to my experience, both ffmpeg and mlt have to be installed with use-flags "sdl" and "X" enabled, otherwise capturing from a dvcam via firewire won't work.

Perhaps one could add two checks reflecting these requirements to the ebuild?

Further - this goes to the package maintainer - I really think it's time to provide an official 0.5 ebuild. It's already two and a half months ago that the sources where released.
Comment 13 Toffanin 2007-10-30 07:07:04 UTC
Created attachment 134682 [details]
kdenlive-0.5.ebuild

(In reply to comment #12)
> (unsermake is not needed: you just have
> to run ./bootstrap before you run ./configure).

or simply use the configure option "--enable-pch" wich force the bootstrap of the autotools avoiding the use of unsermake.

> according to my experience, both ffmpeg and mlt have to be installed with
> use-flags "sdl" and "X" enabled, otherwise capturing from a dvcam via firewire
> won't work.
> Perhaps one could add two checks reflecting these requirements to the ebuild?

sure. see attachment.
Comment 14 Alexis Ballier gentoo-dev 2007-11-11 23:24:58 UTC
hmm there are a few things I dont understand in the ebuild:
where are the theora and quicktime useflags used ?

Are you certain you need to check for mlt & ffmpeg built with X & sdl ? I see an automagic on media-libs/libiec61883 for dv input, perhaps that's the cause.


are you certain that: libsdl, sdl-image, libsamplerate, libogg, libvorbis, lame, libdv & ffmpeg are needed at build time ? I though kdenlive was only using mlt that has the deps & useflags.

I see in kdenlive/exportwidget.cpp that it can call ffmpeg2theora but the dep isnt here
Comment 15 simon 2007-11-12 10:41:40 UTC
(In reply to comment #14)

> Are you certain you need to check for mlt & ffmpeg built with X & sdl?

As I mentioned in comment #12, mlt & ffmpeg should have use-flags X and sdl enabled __only when__ you want to capture from a dvcam via firewire from __within__ Kdenlive. It is perfectly possible to build Kdenlive without having X and sdl set for both libraries, and Kdenlive works fine in that case, with the only exception that capturing won't work.

So I agree that this should not be a strict dependency. There may very well be some folks out there that don't have any capture needs (cutting mpegs from a TV-card, etc.). However,  both use-flags should be checked for being correctly set, and the emerge should issue a warning if that's not the case. For me, it was rather difficult to figure out what to do without such a hint (I'm talking of my old kdenlive-0.4 install).

Perhaps it would be a good idea to create a new use-flag ("capture" or something like that). If it's checked, the kdenlive-ebuild pulls in mlt and ffmpeg with X and sdl enabled, otherwise aborts. If it's not set, there will only be a warning.
Comment 16 kavol 2007-12-26 00:03:56 UTC
I tried to use this ebuild but it fails for me :-( saying:

x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/kde/3.5/include -I/usr/qt/3/include -I.  -I/usr/kde/3.5/include    -D__STDC_CONSTANT_MACROS  -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -O2 -march=k8 -pipe -ggdb -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DENABLE_FIREWIRE  -c -o kdenlivesetupdlg.o kdenlivesetupdlg.cpp
In file included from kdenlive.cpp:113:
trackpanelclipmovefunction.h:166:2: warning: #warning - The following method is a bad example for programming design.
kdenlive.cpp: In member function ‘void Gui::KdenliveApp::parseProfiles()’:
kdenlive.cpp:271: error: ‘MLT_PREFIX’ was not declared in this scope
kdenlive.cpp: In member function ‘void Gui::KdenliveApp::setProjectFormat(QString)’:
kdenlive.cpp:2126: warning: passing ‘double’ for argument 1 to ‘static void KdenliveSettings::setDisplaywidth(int)’
kdenlive.cpp:2127: warning: passing ‘double’ for argument 1 to ‘static void KdenliveSettings::setDisplaywidth(int)’
kdenlive.cpp: In member function ‘void Gui::KdenliveApp::slotSetClipDuration()’:
kdenlive.cpp:3265: warning: unused variable ‘ok’
kdenlive.cpp: In member function ‘void Gui::KdenliveApp::slotProjectDeleteClips(QStringList)’:
kdenlive.cpp:3439: warning: unused variable ‘refClip’
make[2]: *** [kdenlive.o] Error 1
make[2]: *** Waiting for unfinished jobs....
kdenlivesetupdlg.cpp: In member function ‘void Gui::KdenliveSetupDlg::initAudioDevices()’:
kdenlivesetupdlg.cpp:76: warning: comparison between signed and unsigned integer expressions
kdenlivesetupdlg.cpp:93: warning: comparison between signed and unsigned integer expressions
make[2]: Leaving directory `/var/tmp/portage/media-video/kdenlive-0.5/work/kdenlive-0.5/kdenlive'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-video/kdenlive-0.5/work/kdenlive-0.5'
make: *** [all] Error 2

# emerge --info
Portage 2.1.3.19 (default-linux/amd64/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-gentoo-r3 x86_64)
=================================================================
System uname: 2.6.23-gentoo-r3 x86_64 AMD Athlon(tm) 64 Processor 3000+
Timestamp of tree: Tue, 25 Dec 2007 02:00:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p17
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=k8 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/svn/env /usr/kde/svn/share/config /usr/kde/svn/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=k8 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect distlocks metadata-transfer parallel-fetch sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="cs_CZ.UTF-8"
LC_ALL="cs_CZ.UTF-8"
LINGUAS="cs"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/kde /root/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext PP1300W X a52 aac accessibility acpi aiglx alsa amd64 amr amrnb amrwb aotuv apache2 asf audiofile avi berkdb bitmap-fonts bluetooth branding bzip2 cairo calendar cddb cdparanoia cdr cli cracklib crypt css cups dbus dga divx4linux dri dv dvd dvdr dvdread emboss encode evo exif fam ffmpeg flac font-server fortran ftp gdbm geoip gif gimp gphoto2 gpm gs hal hdri iconv ieee1394 imdb imlib ipv6 irmc isdnlog java javascript jingle jpeg jpeg2k kde kdeenablefinal kdehiddenvisibility kdexdeltas kerberos lame lcms ldap logrotate mad midi mikmod mjpeg mmx mmxext modplug mp3 mp4 mpeg mplayer mudflap ncurses nls nodrm nptl nptlonly nsplugin nvidia ogg opengl openmp pam pcre pda pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection rtc scanner scenarios sdl session slang sndfile sound sox spell spl sse sse2 ssl subversion svg symlink tcpd tetex theora threads tiff timidity truetype truetype-fonts type1-fonts unicode usb v4l v4l2 vcd vorbis wma x264 xcomposite xface xine xml xorg xv xvid xvmc yaz zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="cs" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia nv vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 17 Patrick Huber 2008-01-01 22:30:24 UTC
works for me. if you need an emerge --info, just ask... packages.keywords contains this:
media-video/kdenlive
media-libs/mlt++
media-libs/mlt

any chance this is added to the main repository? 0.5 was released in august.

thanks for the ebuild!
Comment 18 kavol 2008-02-01 22:31:43 UTC
btw, kdenlive 0.5 needs MLT 2.4, it does not compile against 2.2, the dependency should be updated
Comment 19 kavol 2008-02-11 15:19:12 UTC
(In reply to comment #18)
> btw, kdenlive 0.5 needs MLT 2.4, it does not compile against 2.2, the
> dependency should be updated
> 

oops, and it does not run against 2.4 -

Failed to load plugin: libmlt.so.0.2.2: cannot open shared object file: No such file or directory

wov, great :)
Comment 20 Patrick Huber 2008-02-11 15:29:38 UTC
works for me with

mlt-0.2.4-r1
mlt++20060601
Comment 21 kavol 2008-02-11 18:25:51 UTC
(In reply to comment #20)
> works for me with
> 
> mlt-0.2.4-r1
> mlt++20060601

so ... you made me to recompile everything once again (no, I didn't do emerge -e ... :-))

after recompiling mlt++-20060601, mlt-0.2.4-r1 and kdenlive-0.5, it at least starts up ... I wonder why it did not work before :-/
Comment 22 Patrick Huber 2008-02-11 18:30:08 UTC
I'm guessing you just upgraded mlt to 2.4 but didn't recompile kdenlive, so it was still linked against the previous version.
Comment 23 kavol 2008-02-11 18:49:18 UTC
(In reply to comment #22)
> I'm guessing you just upgraded mlt to 2.4 but didn't recompile kdenlive, so it
> was still linked against the previous version.

that was the first thing that came to my mind, however ...

as I write in comment #18, kdenlive does not compile (read: did not compile on my system) against mlt 2.2, so I had to upgrade to 2.4 and then the compilation of kdenlive went fine (so I have written the comment that it need 2.4)

and I recompiled kdenlive meanwhile because of one issue with the Czech localisation ... so it 100% was not the cause

I really do not understand such behaviour :-/
Comment 24 Patrick Huber 2008-02-11 19:04:57 UTC
(In reply to comment #23)

very strange... i'll up a new ebuild with the 2.4 dep. once proof-compiling here has finished.
Comment 25 Patrick Huber 2008-02-11 19:47:18 UTC
Created attachment 143231 [details]
now with mlt-0.2.4-r1 dependency

# emerge =kdenlive-0.5 -p

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] media-libs/mlt-0.2.4-r1  USE="dv ffmpeg gtk lame libsamplerate mmx ogg qt3 quicktime sdl sox theora vorbis xine xml -jack"
[ebuild  N    ] media-libs/mlt++-20060601
[ebuild  N    ] media-video/kdenlive-0.5  USE="arts quicktime theora xinerama -debug"
Comment 26 Bent Bisballe Nyeng 2008-03-24 09:40:36 UTC
(In reply to comment #25)
> Created an attachment (id=143231) [edit]
> now with mlt-0.2.4-r1 dependency
> 
> # emerge =kdenlive-0.5 -p
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> [ebuild  N    ] media-libs/mlt-0.2.4-r1  USE="dv ffmpeg gtk lame libsamplerate
> mmx ogg qt3 quicktime sdl sox theora vorbis xine xml -jack"
> [ebuild  N    ] media-libs/mlt++-20060601
> [ebuild  N    ] media-video/kdenlive-0.5  USE="arts quicktime theora xinerama
> -debug"
> 

As seen, the mlt package no longer offers the X useflags. Therefore the kdenlive ebuild should not require it to be set for the mlt pacage!
Comment 27 Bent Bisballe Nyeng 2008-03-24 09:42:14 UTC
(In reply to comment #25)
> Created an attachment (id=143231) [edit]
> now with mlt-0.2.4-r1 dependency
> 
> # emerge =kdenlive-0.5 -p
Furthermore kdenlive depends on the mlt package being emerged with the sdl useflags set.
Comment 28 Robert Buchholz (RETIRED) gentoo-dev 2008-03-31 21:14:22 UTC
Just for reference, it builds and runs fine with everything but ffmpeg and mlt.
Since mlt depends on all the codecs listed before, I removed these deps.


+*kdenlive-0.5 (31 Mar 2008)
+
+  31 Mar 2008; Robert Buchholz <rbu@gentoo.org> +kdenlive-0.5.ebuild:
+  Non-maintainer-bump (bug #188626), a lot of fixes and new features,
+  including HD support. Thanks to Toffanin, Patrick Huber and Roberto
+  Castagnola for contributions.
+
+  This should also fix bug #193641.
+